﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /DMM
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /DMM
DATE:                  2010-07-30 10:11:48
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       220
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY, DFM
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub LeCroy WJ300 Select Channel IEEE
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /DMM
  1.005  MATH         @DMM_Func = "Resistance2W"
  1.006  IEEE         *CLS;*RST
  1.007  WAIT         -t 3 UUT Resetting...
  1.008  CALL         Sub LeCroy WJ300 Select Channel IEEE
  1.009  MATH         Ch = @Chan

  1.010  IF           Ch == 1
  1.011  MATH         ChLabel = "1 X"
  1.012  ELSEIF       Ch == 2
  1.013  MATH         ChLabel = "2 Y"
  1.014  ELSE
  1.015  MATH         ChLabel = Ch
  1.016  ENDIF

  1.017  JMPL         CHANNEL_INPUT_IMPEDANCE       PSUBI("Chan In Impedance")
  1.018  JMPL         EXT_INPUT_IMPEDANCE           PSUBI("Ext In Impedance")
  1.019  DISP         {Undefined subprocedure!}
  1.020  END

  1.021  EVAL   Increment step number

# ====================== Channel Input Impedance =============================

  2.001  LABEL        CHANNEL_INPUT_IMPEDANCE
  2.002  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 1 MOhm, 100 mV/div

  2.003  IF           Ch == 1
  2.004  RSLT         =
  2.005  RSLT         =CHANNEL INPUT IMPEDANCE
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V Ch]
  2.009  TARGET       -p
  2.010  CALL         Sub Reset /DMM
  2.011  CALL         Sub Setup /DMM
  2.012  DISP         Connect the [V @DMM_DevName] [V @DMM_InputHi] and
  2.012  DISP         [V @DMM_InputLo](on front) to UUT channel [V ChLabel]
  2.012  DISP         via a BNC female to double stacking banana plug
  2.012  DISP         and BNC(m)-(m) 50 Ohms cable.
  2.012  DISP
  2.012  DISP         Make sure to select [V @DMM_DevName] front inputs if
  2.012  DISP         rear inputs are also available.
  2.013  TSET         TDESC = DC 1 MOhm, 100 mV/div
  2.014  IEEE         TDIV 200E-9
  2.015  IEEE         C[V Ch]:CPL DC1M
  2.015  IEEE         C[V Ch]:VDIV 100E-3
  2.016  IEEE         TRMD AUTO
  2.017  WAIT         -t 2 Settling ...
  2.018  TARGET       -m
  2.019  CALL         Sub Read /DMM
  2.020  MATH         @DMM_Meas = MEM
  2.021  CALL         Sub Get Accuracy /DMM
  2.022  MATH         L[1] = @DMM_Acc / 1E+6
  2.023  MATH         MEM = MEM / 1E+6
  2.024  ACC          MZ             L1U
  2.025  MATH         MEM = @DMM_Meas / 1E+6
  2.026  MEMC         1.000MZ        1.5%

  3.001  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 1 MOhm, 1 V/div
  3.002  TSET         TDESC = DC 1 MOhm, 1 V/div
  3.003  IEEE         C[V Ch]:CPL DC1M
  3.004  IEEE         C[V Ch]:VDIV 1
  3.005  WAIT         -t 2 Settling ...
  3.006  TARGET       -m
  3.007  CALL         Sub Measure /DMM
  3.008  MATH         @DMM_Meas = MEM
  3.009  CALL         Sub Get Accuracy /DMM
  3.010  MATH         L[1] = @DMM_Acc / 1E+6
  3.011  MATH         MEM = MEM / 1E+6
  3.012  ACC          MZ             L1U
  3.013  MATH         MEM = @DMM_Meas / 1E+6
  3.014  MEMC         1.000MZ        1.5%

  4.001  HEAD         CH[V Ch] INPUT IMPEDANCE: AC 1 MOhm, 100 mV/div
  4.002  TSET         TDESC = AC 1 MOhm, 100 mV/div
  4.003  IEEE         C[V Ch]:CPL AC1M
  4.004  IEEE         C[V Ch]:VDIV 100E-3
  4.005  WAIT         -t 2 Settling ...
  4.006  TARGET       -m
  4.007  CALL         Sub Measure /DMM
  4.008  MATH         @DMM_Meas = MEM
  4.009  CALL         Sub Get Accuracy /DMM
  4.010  MATH         L[1] = @DMM_Acc / 1E+6
  4.011  MATH         MEM = MEM / 1E+6
  4.012  ACC          MZ             L1U
  4.013  MATH         MEM = @DMM_Meas / 1E+6
  4.014  MEMC         1.000MZ        1.5%

  5.001  HEAD         CH[V Ch] INPUT IMPEDANCE: AC 1.2 MOhm, 10 mV/div
  5.002  TSET         TDESC = AC 1.2 MOhm, 10 mV/div
  5.003  IEEE         C[V Ch]:CPL AC1M
  5.004  IEEE         C[V Ch]:VDIV 10E-3
  5.005  WAIT         -t 2 Settling ...
  5.006  TARGET       -m
  5.007  CALL         Sub Measure /DMM
  5.008  MATH         @DMM_Meas = MEM
  5.009  CALL         Sub Get Accuracy /DMM
  5.010  MATH         L[1] = @DMM_Acc / 1E+6
  5.011  MATH         MEM = MEM / 1E+6
  5.012  ACC          MZ             L1U
  5.013  MATH         MEM = @DMM_Meas / 1E+6
  5.014  MEMC         1.200MZ        1.5%

  6.001  HEAD
  6.002  CALL         Sub Reset /DMM
  6.003  END

  6.004  EVAL   Increment step number

# ====================== Ext Input Impedance =================================

  7.001  LABEL        EXT_INPUT_IMPEDANCE
  7.002  RSLT         =
  7.003  RSLT         =External Trigger Input

  7.004  HEAD         EXT TRIGGER INPUT IMPEDANCE: EXT, DC 1 MOhm
  7.005  TARGET       -p
  7.006  CALL         Sub Reset /DMM
  7.007  CALL         Sub Setup /DMM
  7.008  DISP         Connect the [V @DMM_DevName] [V @DMM_InputHi] and
  7.008  DISP         [V @DMM_InputLo](on front) to UUT EXT via a BNC female
  7.008  DISP         to double stacking banana plug and BNC(m)-(m) 50 Ohms
  7.008  DISP         cable.
  7.008  DISP
  7.008  DISP         Make sure to select [V @DMM_DevName] front inputs if
  7.008  DISP         rear inputs are available.
  7.009  TSET         TDESC = EXT, DC 1 MOhm
  7.010  IEEE         TRMD AUTO
  7.011  IEEE         TSRC EXT;TCPL DC
  7.012  WAIT         -t 2 Settling ...
  7.013  TARGET       -m
  7.014  CALL         Sub Read /DMM
  7.015  MATH         @DMM_Meas = MEM
  7.016  CALL         Sub Get Accuracy /DMM
  7.017  MATH         L[1] = @DMM_Acc / 1E+6
  7.018  MATH         MEM = MEM / 1E+6
  7.019  ACC          MZ             L1U
  7.020  MATH         MEM = @DMM_Meas / 1E+6
  7.021  MEMC         1.000MZ        1.5%

  8.001  HEAD         EXT TRIGGER INPUT IMPEDANCE: EXT/10, DC 1 MOhm
  8.002  TSET         TDESC = EXT/10, DC 1 MOhm
  8.003  IEEE         TSRC EXT10;TCPL DC
  8.004  WAIT         -t 2 Settling ...
  8.005  TARGET       -m
  8.006  CALL         Sub Read /DMM
  8.007  MATH         @DMM_Meas = MEM
  8.008  CALL         Sub Get Accuracy /DMM
  8.009  MATH         L[1] = @DMM_Acc / 1E+6
  8.010  MATH         MEM = MEM / 1E+6
  8.011  ACC          MZ             L1U
  8.012  MATH         MEM = @DMM_Meas / 1E+6
  8.013  MEMC         1.000MZ        1.5%

  9.001  HEAD
  9.002  CALL         Sub Reset /DMM
  9.003  END
